%define upstream_name    MooseX-Singleton
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Base class for MooseX::Singleton
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Moose) >= 1.100.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
A singleton is a class that has only one instance in an application.
'MooseX::Singleton' lets you easily upgrade (or downgrade, as it were) your
the Moose manpage class to a singleton.

All you should need to do to transform your class is to change 'use Moose'
to 'use MooseX::Singleton'. This module uses a new class metaclass and
instance metaclass, so if you're doing metamagic you may not be able to use
this.

'MooseX::Singleton' gives your class an 'instance' method that can be used
to get a handle on the singleton. It's actually just an alias for 'new'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.290.0-3.mga4
+ Revision: 513244
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.290.0-2.mga3
+ Revision: 370308
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 0.290.0-1.mga2
+ Revision: 180201
- update to 0.29

* Thu Dec 08 2011 kharec <kharec> 0.280.0-1.mga2
+ Revision: 179281
- Add BR on Test::NoWarnings
- update to 0.28

* Wed Jun 15 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 107146
- update to 0.27

* Mon Feb 28 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 61490
- update to 0.26

* Thu Jan 20 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 26666
- mageia rebuild
- imported package perl-MooseX-Singleton

